<!Doctype html>
<html>
<body style="background-color:powderblue;">
{% if error %}
        <h3><strong>Message</strong>: {{error}}</h3>
    {% endif %}
<h1 align="center">Welcome To Knowledge Lens</h1>
<h2 align="center">Login Page</h2>
<form name="f1" action="login_data" method="post">
    <table align="center" border="0" bgcolor="white" cellspacing="10" cellpadding="5">
        <td>Username:</td>
        <td><input type="text" size=25 name="username" required></td>
        </tr></tr></tr>
        <td>Password:</td>
        <td><input type="Password" size=25 name="pwd" required></td>
        </tr>
        <tr>
            <td><input type="submit" name="b1" value="login"></td>
            <td>

                <a href="registration">
                    <input type="button" onclick="registration" value="Registration"> </a>
            </td>
    </table>
</form>
</body>
</html>
